MIIO-EXTRACT-TOKENS(1)

NAME

miio-extract-tokens - Reads device information out from an sqlite3 DB.

SYNOPSIS
miio-extract-tokens [OPTIONS] BACKUP

DESCRIPTION

    Reads device information out from an sqlite3 DB.

    If the given file is an Android backup (.ab), the database will be extracted automatically. If the given file is an iOS backup, the tokens will be extracted (and decrypted if needed) automatically.

OPTIONS

--write-to-disk FILENAME
    writes sqlite3 db to a file for debugging

--password TEXT
    password if the android database is encrypted

--dump-all
    dump devices without ip addresses

--dump-raw
    dumps raw rows

--help
    Show this message and exit.